Đến nội dung


Hình ảnh

Thắc mắc về Bounding box trong VBA


  • Please log in to reply
1 reply to this topic

#1 bahamutz

bahamutz

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 January 2014 - 04:34 PM

Các bác cho em hỏi tại sao khi Add 1 cái Solid  3D bằng VBA thì chỉ ra được cái Bounding box mà không ra được cái Solid với đầy đủ Geometry?

vd: AddBox, AddCone....

 

Và có cách nào vẽ được cái 3D Solid với đầy đủ Geometry không? Xin chỉ cho em (trừ cái vụ SendCommand)


  • 0

#2 HoaVien

HoaVien

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 11 January 2014 - 08:57 AM

Các bác cho em hỏi tại sao khi Add 1 cái Solid  3D bằng VBA thì chỉ ra được cái Bounding box mà không ra được cái Solid với đầy đủ Geometry?

vd: AddBox, AddCone....

 

Và có cách nào vẽ được cái 3D Solid với đầy đủ Geometry không? Xin chỉ cho em (trừ cái vụ SendCommand)

Tham khảo Help developer document :

To create a 3DSolid, use one of the following methods: AddBox, AddCone, AddCylinder, AddEllipticalCone, AddEllipticalCylinder, AddExtrudedSolid, AddExtrudedSolidAlongPath, AddRevolvedSolid, AddSphere, AddTorus, AddWedge

 

ví dụ addWedge

Sub Example_AddWedge()
    ' This example creates a wedge in model space.
    
    Dim wedgeObj As Acad3DSolid
    Dim center(0 To 2) As Double
    Dim length As Double
    Dim width As Double
    Dim height As Double
    
    ' Define the wedge
    center(0) = 5#: center(1) = 5#: center(2) = 0
    length = 10#: width = 15#: height = 20#
    
    ' Create the wedge in model space
    Set wedgeObj = ThisDrawing.ModelSpace.AddWedge(center, length, width, height)
    
    ' Change the viewing direction of the viewport
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.Direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll

End Sub

AddBox

Sub Example_AddBox()
    ' This example creates a box in model space.
        
    Dim boxObj As Acad3DSolid
    Dim length As Double, width As Double, height As Double
    Dim center(0 To 2) As Double
    
    ' Define the box
    center(0) = 5#: center(1) = 5#: center(2) = 0
    length = 5#: width = 7: height = 10#
    
    ' Create the box (3DSolid) object in model space
    Set boxObj = ThisDrawing.ModelSpace.AddBox(center, length, width, height)
    
    ' Change the viewing direction of the viewport to better see the box
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.Direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll
    
End Sub

  • 0